<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../Python.html" >Python</a>.<a href="../SXRGenerator.html" >SXRGenerator</a>
</div><div class="class-name">class SXRGenerator

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/Python/SXRGenerator.py.html" target="detail">../Synopsis/Parsers/Python/SXRGenerator.py</a></div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line51" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="handlers">handlers</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line57" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="col">col</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line82" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="lineno">lineno</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line83" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="parameters">parameters</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line84" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="scopes">scopes</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line85" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line54" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_file">process_file</a>(<span class="variable">self</span>, <span class="variable">scope</span>, <span class="variable">sourcefile</span>, <span class="variable">sxr</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.process_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line87" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle">handle</a>(<span class="variable">self</span>, <span class="variable">ptree</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line109" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="default_handler">default_handler</a>(<span class="variable">self</span>, <span class="variable">ptree</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.default_handler" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line120" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SXRGenerator.html#next_token" >next_token</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.next_token" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line128" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the next visible token.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_token">handle_token</a>(<span class="variable">self</span>, <span class="variable">item</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_token" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line143" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_name_as_xref">handle_name_as_xref</a>(<span class="variable">self</span>, <span class="variable">xref</span>, <span class="variable">name</span>, <span class="variable">from_</span> = <span class="value">None</span>, <span class="variable">type</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name_as_xref" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line152" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_tokens">handle_tokens</a>(<span class="variable">self</span>, <span class="variable">ptree</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_tokens" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line168" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_end_marker">handle_end_marker</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_end_marker" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line175" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_newline">handle_newline</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_newline" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line176" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_indent">handle_indent</a>(<span class="variable">self</span>, <span class="variable">indent</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_indent" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line181" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_dedent">handle_dedent</a>(<span class="variable">self</span>, <span class="variable">dedent</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_dedent" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line186" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_string">handle_string</a>(<span class="variable">self</span>, <span class="variable">content</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_string" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line191" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_function">handle_function</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_function" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line196" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_parameters">handle_parameters</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_parameters" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line227" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_class">handle_class</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_class" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line256" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_name">handle_name</a>(<span class="variable">self</span>, <span class="variable">content</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line279" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_expr_stmt">handle_expr_stmt</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_expr_stmt" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line284" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_dotted_name">handle_dotted_name</a>(<span class="variable">self</span>, <span class="variable">dname</span>, <span class="variable">rest</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_dotted_name" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line289" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_op">handle_op</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_op" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line298" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_power">handle_power</a>(<span class="variable">self</span>, <span class="variable">content</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_power" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line301" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_encoding_decl">handle_encoding_decl</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_encoding_decl" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line322" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_import_as_names">handle_import_as_names</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import_as_names" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line327" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_dotted_as_names">handle_dotted_as_names</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_dotted_as_names" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line332" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_import_from">handle_import_from</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import_from" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line337" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_import_name">handle_import_name</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import_name" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line345" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_import">handle_import</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line351" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="handle_decorator">handle_decorator</a>(<span class="variable">self</span>, <span class="variable">nodes</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_decorator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line357" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="print_token">print_token</a>(<span class="variable">self</span>, <span class="variable">t</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.print_token" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line360" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="print_newline">print_newline</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.print_newline" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line388" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="next_token">next_token</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.next_token" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line128" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the next visible token.
        Process tokens that are not part of the parse tree silently.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
